/*
 * ReprocessCaloAction.cpp
 *
 *  Created on: 10/mar/2010
 *      Author: N. Mori
 */
#ifndef NO_CALOPRESAMPLER

#include "ReprocessCaloAction.h"

void ReprocessCaloAction::Setup(PamLevel2 *events) {

  _caloPS = new CaloPreSampler(events);
  _caloPS->SplitInto(0, 22);
  _caloPS->SetCaloLevel2Pointer(events->GetCaloLevel2());
}

void ReprocessCaloAction::OnGood(PamLevel2 *event) {

  if (_externalFlag)
    if (!(*_externalFlag))
      return;

  _caloPS->GetCaloLevel2(); // This reprocesses the calo before returning the pointer to CaloLevel2
}

#endif // #ifndef NO_CALOPRESAMPLER
